# CropFilter Class Reference
[Tools for primitive's filtration]

Inheritance diagram for CropFilter:
[legend]

List of all members.

## Public Member Functions

| setStart ($start)
| setLength ($length)
| apply ($value)

## Static Public Member Functions

static | create ()

## Private Attributes

| $start = 0
| $length = 0

## Detailed Description

See also:
  RegulatedPrimitive::addImportFilter()

Definition at line 17 of file CropFilter.class.php.

## Member Function Documentation

CropFilter::apply | ( | $ | value | ) |

Implements Filtrator.

Definition at line 54 of file CropFilter.class.php.

static CropFilter::create | ( |  | ) | `[static]`

Returns:
  CropFilter

Definition at line 25 of file CropFilter.class.php.

Referenced by Filter::crop().

CropFilter::setLength | ( | $ | length | ) |

Returns:
  CropFilter

Definition at line 45 of file CropFilter.class.php.

References $length, and Assert::isPositiveInteger().

Here is the call graph for this function:

CropFilter::setStart | ( | $ | start | ) |

Returns:
  CropFilter

Definition at line 33 of file CropFilter.class.php.

References $start, and Assert::isPositiveInteger().

Here is the call graph for this function:

## Member Data Documentation

CropFilter::$length = 0`[private]`

Definition at line 20 of file CropFilter.class.php.

Referenced by setLength().

CropFilter::$start = 0`[private]`

Definition at line 19 of file CropFilter.class.php.

Referenced by setStart().

The documentation for this class was generated from the following file:

- core/Form/Filters/CropFilter.class.php